Toybrick

KeyError: 'aten::norm'

geoergecyr

注册会员

积分
159
发表于 2020-11-17 11:48:08    查看: 373|回复: 5 | [复制链接]    打印 | 显示全部楼层
torchscript格式的pytorch模型,转rknn报错,具体内容如下图所示:

请问目前是否支持这个算子?


转换环境:Ubuntu18.04,RKNN1.3.2,torch版本是1.2.0,模型保存前有eval。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

jefferyzhang

超级版主

积分
7028
发表于 2020-11-17 11:58:23 | 显示全部楼层
1. 换成最新的rknn-toolkit尝试
2. rknn-toolkit的文档里都有op支持列表,请自行查阅
回复

使用道具 举报

geoergecyr

注册会员

积分
159
 楼主| 发表于 2020-11-17 14:26:51 | 显示全部楼层
jefferyzhang 发表于 2020-11-17 11:58
1. 换成最新的rknn-toolkit尝试
2. rknn-toolkit的文档里都有op支持列表,请自行查阅 ...

已经查阅了1.4.0 rknn,https://github.com/rockchip-linu ... P_Support_V1.4.0.md
也是没有对这个算子的支持,而且1.4.0版本的在转换torch模型时会遇到ZeroDivisionError,所以我才使用的1.3.2,请问这个时候应该怎么办呢?
回复

使用道具 举报

jefferyzhang

超级版主

积分
7028
发表于 2020-11-17 14:33:13 | 显示全部楼层
geoergecyr 发表于 2020-11-17 14:26
已经查阅了1.4.0 rknn,https://github.com/rockchip-linux/rknn-toolkit/blob/master/doc/RKNN_OP_Suppo ...

进置顶帖官方qq群里提建议
回复

使用道具 举报

zhaomr

新手上路

积分
30
发表于 2020-11-23 17:28:04 | 显示全部楼层
jefferyzhang 发表于 2020-11-17 11:58
1. 换成最新的rknn-toolkit尝试
2. rknn-toolkit的文档里都有op支持列表,请自行查阅 ...

rknn1.4.0不支持pytorch的expand_as()有没有什么其他办法,谢谢!
回复

使用道具 举报

jefferyzhang

超级版主

积分
7028
发表于 2020-11-23 20:15:04 | 显示全部楼层
zhaomr 发表于 2020-11-23 17:28
rknn1.4.0不支持pytorch的expand_as()有没有什么其他办法,谢谢!

进官方QQ群里讨论,我个人是没有办法的,我不是专职做这个的。
大体思路:

1. 修改模型实现。
2. 提交需求给NPU部门让他们下一版本支持这个op。
3. 换Tensorflow
4. 转ONNX再转RKNN(可尝试)
回复

使用道具 举报

rakidis

中级会员

积分
343
发表于 2020-12-24 15:11:16 | 显示全部楼层
In my experience, rockchip cannot handle "Aten" operations

It handles onnx better, but even with that it can have problems.

It handles tensorflow(old versions) and caffe well, but all other frameworks are like beta
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表